%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Evolution C# bindings for mono
Name:		evolution-sharp
Version:	0.21.1
Release:	%mkrel 25
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# (fc) fix eds detection (Fedora)
Patch0:		evolution-sharp-0.21.1-fix-retarded-version-check.patch
# (fc) fix eds major for eds >= 2.30.2
Patch1:		evolution-sharp-0.21.1-fix-eds-major.patch
Patch2:		evolution-sharp-0.21.1-glib.patch
Patch3:		evolution-sharp-0.21.1-automake-1.13.patch
Patch4:		evolution-sharp-0.21.1-fix-build.patch
License:	GPL
Group:		Development/Other
Url:		http://www.gnome.org
BuildRequires:	evolution-data-server-devel >= 1.5
BuildRequires:	pkgconfig(mono)
BuildRequires:	gtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	gnome-common
Requires:	evolution

%description
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.

%package devel
Summary:	Evolution C# bindings for mono
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .fixmajor
%patch2 -p0
%patch3 -p1 -b .automake113
%patch4 -p1 -b .fix-build

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README MAINTAINERS AUTHORS
%{_prefix}/lib/mono/evolution-sharp/
%{_prefix}/lib/mono/gac/evolution-sharp/
%{_libdir}/libevolutionglue.so

%files devel
%doc ChangeLog
%{_libdir}/pkgconfig/evolution-sharp.pc
%{_datadir}/gapi-2.0/evolution-api.xml


%changelog
* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.21.1-25.mga6
+ Revision: 927282
- rebuild for libical

* Sun Dec 20 2015 tv <tv> 0.21.1-24.mga6
+ Revision: 912669
- rebuild for mono4

* Wed Aug 26 2015 sander85 <sander85> 0.21.1-23.mga6
+ Revision: 869781
- Rebuild for evolution-data-server 3.17.90

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.21.1-22.mga5
+ Revision: 815675
- rebuild for evolution-data-server

* Wed Oct 15 2014 umeabot <umeabot> 0.21.1-21.mga5
+ Revision: 750647
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.1-20.mga5
+ Revision: 679053
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 spuhler <spuhler> 0.21.1-19.mga5
+ Revision: 661787
- rebuild after cleaning spec

* Sat Oct 19 2013 umeabot <umeabot> 0.21.1-18.mga4
+ Revision: 530881
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 dams <dams> 0.21.1-17.mga4
+ Revision: 460801
- rebuild for new eds
- now use '%%make' instead of 'make'
- clean specfile

* Sun Jun 02 2013 fwang <fwang> 0.21.1-16.mga4
+ Revision: 434375
- rebuild for new ical

* Fri Jan 11 2013 umeabot <umeabot> 0.21.1-15.mga3
+ Revision: 349807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 sander85 <sander85> 0.21.1-14.mga3
+ Revision: 344719
- Fix build

* Sat Nov 26 2011 wally <wally> 0.21.1-13.mga2
+ Revision: 172425
- rebuild for new evolution
- clean .spec a bit

* Sat Oct 29 2011 fwang <fwang> 0.21.1-12.mga2
+ Revision: 159555
- fix build with latest glib
- rebuild for new evo
- rebuild for new eds

  + dmorgan <dmorgan>
    - Rebuild against new evolution
      Clean spec file

* Tue Jun 21 2011 dmorgan <dmorgan> 0.21.1-9.mga2
+ Revision: 111603
- Rebuild against new evolution
- Rebuild against new evolution

* Fri Apr 08 2011 ennael <ennael> 0.21.1-7.mga1
+ Revision: 82306
- clean spec file
- imported package evolution-sharp

